1

This question already has an answer here:

Getting QGIS 2.8 (Ubuntu 14.10) ready for ECW files is really a pain. I've no terminal experience and it took me several hours to install the ECW JPEG 2000 SDK 3.3.

What I did so far:

#download ECW JPEG 2000 SDK 3.3 to /home/username
wget -nd https://api.opensuse.org/public/source/home:jluce2:GEO/libecwj/libecwj2-3.3.tar.bz2

#unpack archive
tar -xjf libecwj2-3.3.tar.bz2

#change directory
cd /home/username/libecwj2-3.3

./configure

make

sudo make install

#unstable releases of Ubuntu GIS packages
sudo add-apt-repository ppa:ubuntugis/ubuntugis-unstable

sudo apt-get update

sudo apt-get install libgdal-ecw-src

Unfortunately the last command isn't working :/ It seems that there is still no libgdal-ecw-src package for newer Ubuntu versions than 13.10. Does anybody know how to fix this issue? I won't spend hours and days just for loading orthophotos.

marked as duplicate by AndreJ qgis Aug 18 '15 at 19:19

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.